dn: cn=config
changetype: modify
add: olcServerID
olcServerID: {{ openldap_hosts.index(ansible_host)+1 }}

dn: cn=module{0},cn=config
changetype: modify
add: olcModuleLoad
olcModuleLoad: {1}syncprov.la

dn: olcOverlay=syncprov,olcDatabase={0}config,cn=config
changetype: add
objectClass: olcOverlayConfig
objectClass: olcSyncProvConfig
olcOverlay: syncprov

dn: olcDatabase={0}config,cn=config
changetype: modify
add: olcSyncRepl
{% for host in openldap_hosts %}
olcSyncRepl: {{ 'rid=%03d'|format(loop.index|int) }}
  provider=ldap://{{ host }}.node.{{ consul_datacenter }}.consul/
  binddn="{{ ldap_config_dn }}"
  bindmethod=simple
  credentials={{ ldap_config_password }}
  searchbase="cn=config"
  type=refreshAndPersist
  retry="5 5 300 5"
  timeout=1
{% endfor %}
-
add: olcMirrorMode
olcMirrorMode: TRUE


dn: olcDatabase={1}hdb,cn=config
changetype: modify
add: olcLimits
olcLimits: dn.exact="{{ ldap_admin_dn }}"
  time.soft=unlimited
  time.hard=unlimited
  size.soft=unlimited
  size.hard=unlimited
-
add: olcSyncRepl
{% for host in openldap_hosts %}
olcSyncRepl: {{ 'rid=%03d'|format(loop.index+100|int) }}
  provider=ldap://{{ host }}.node.{{ consul_datacenter }}.consul/
  binddn="{{ ldap_admin_dn }}"
  bindmethod=simple
  credentials={{ ldap_admin_password }}
  searchbase="{{ ldap_base_dn }}"
  type=refreshOnly
  interval=00:00:00:10
  retry="5 5 300 5"
  timeout=1
{% endfor %}
-
add: olcDbIndex
olcDbIndex: entryUUID eq
-
add: olcDbIndex
olcDbIndex: entryCSN eq
-
add: olcMirrorMode
olcMirrorMode: TRUE

dn: olcOverlay=syncprov,olcDatabase={1}hdb,cn=config
changetype: add
objectClass: olcOverlayConfig
objectClass: olcSyncProvConfig
olcOverlay: syncprov
